#!/usr/bin/python 
#
# ESA (C) 2000-2021 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.



import pysas.XMMextractor_tools.XMMextractor_tools as xmm_tools
import pytest
import os


def test_postcard():
    xmm_tools.postcard_from_XSA('0505720401')
    
    if os.path.isfile('P0505720401EPX0003COLIM8000.PNG'):
        os.remove('P0505720401EPX0003COLIM8000.PNG')
        assert True
    else:
        assert False


def tset_download_image():
    st = xmm_tools.xsaRequest_image('0505720401')
    if st:
        assert False
    else:
        assert True


def test_download_ODF():
    xmm_tools.download_ODF_from_XSA('0505720401', 'ODF')
    if os.path.isfile('0505720401.tar.gz'):
        os.remove('0505720401.tar.gz')
        assert True
    else:
        assert False

